#pragma once

#include "LDTypes.h"



class CGSPlanet;

class Unit
{

  public:

    LD::TextureTypes      m_Texture;

    bool                  m_RemoveMe;

    LD::UnitType          m_Type;

    int                   m_X;
    int                   m_Y;

    float                 m_XFract;
    float                 m_YFract;

    float                 m_Angle;

    float                 m_LifeTime;

    float                 m_SpeedX;
    float                 m_SpeedY;
    float                 m_Speed;

    int                   m_Life;

    float                 m_ShotDelay;


    Unit();


    void                  Display( int OffsetX, int OffsetY );

    void                  Update( CGSPlanet* pGSPlanet, const float ElapsedTime );

    void                  Advance( float Distance );

};
